Debian Bug report logs - #701521
ITP: python-wsme -- Web Services Made Easy makes it easy to implement multi-protocol webservices

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Sun, 24 Feb 2013 07:00:05 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-wsme/0.5b1-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org:
Bug#701521; Package wnpp. (Sun, 24 Feb 2013 07:00:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, openstack-devel@lists.alioth.debian.org, wnpp@debian.org. (Sun, 24 Feb 2013 07:00:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-wsme -- Web Services Made Easy makes it easy to implement multi-protocol webservices
Date: Sun, 24 Feb 2013 14:57:21 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-wsme
  Version         : 0.5b1
  Upstream Author : Christophe de Vienne <python-wsme@googlegroups.com>
* URL             : http://pypi.python.org/pypi/WSME
* License         : MIT
  Programming Lang: Python
  Description     : Web Services Made Easy makes it easy to implement multi-protocol webservices

Web Service Made Easy (WSME) simplify the writing of REST web services by
providing simple yet powerful typing which removes the need to directly
manipulate the request and the response objects.

WSME can work standalone or on top of your favorite Python web (micro)
framework, so you can use both your preferred way of routing your REST requests
and most of the features of WSME that rely on the typing system like:

 * Alternate protocols, including ones supporting batch-calls
 * Easy documentation through a Sphinx extension

WSME is originally a rewrite of TGWebServices with focus on extensibility,
framework-independance and better type handling.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 27 Feb 2013 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Tue, 09 Apr 2013 12:03:16 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Tue, 09 Apr 2013 12:03:16 GMT) Full text and rfc822 format available.

Message #12 received at 701521-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 701521-close@bugs.debian.org
Subject: Bug#701521: fixed in python-wsme 0.5b1-1
Date: Tue, 09 Apr 2013 12:00:07 +0000
Source: python-wsme
Source-Version: 0.5b1-1

We believe that the bug you reported is fixed in the latest version of
python-wsme, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701521@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-wsme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Oct 2012 11:55:15 +0000
Source: python-wsme
Binary: python-wsme
Architecture: source all
Version: 0.5b1-1
Distribution: experimental
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-wsme - Web Services Made Easy makes it easy to implement multi-protocol
Closes: 701521
Changes: 
 python-wsme (0.5b1-1) experimental; urgency=low
 .
   * Initial release (Closes: #701521).
Checksums-Sha1: 
 742ce4ce9f28c82741d620aa50e666f8f1f4221e 1477 python-wsme_0.5b1-1.dsc
 572317db4f91ad02c5ae48ad55ed2e1fc9bc687d 46705 python-wsme_0.5b1.orig.tar.gz
 a3c6b7ed23ba4b082216ffdb28b5f7befd25ae9a 2276 python-wsme_0.5b1-1.debian.tar.gz
 2a58ab5165d4fd46174a53e8d0ec82b99d8edba1 46104 python-wsme_0.5b1-1_all.deb
Checksums-Sha256: 
 b93700037ffb26684f0a4cd8885a8e1cc6ccdc281f47de8ba3127a19a4738a32 1477 python-wsme_0.5b1-1.dsc
 6f093bcc98e40a1238eb10b83b4e101682670dd1b4f77064ae7fb1d69060a554 46705 python-wsme_0.5b1.orig.tar.gz
 1d4b37116a8eab503ac0b19bda88e538d9640ef6fbb86ade3083f3504612788f 2276 python-wsme_0.5b1-1.debian.tar.gz
 21c7ecad6298820ee9cb185ff6d3369d7b8223d56dc6231f3c094de17a2b014e 46104 python-wsme_0.5b1-1_all.deb
Files: 
 44fd305e155e64e5d6237fb7eab0eb0f 1477 python optional python-wsme_0.5b1-1.dsc
 897ebdf153f188818a88a271b1922693 46705 python optional python-wsme_0.5b1.orig.tar.gz
 fb1634895b94b70666eed41fb1d957a5 2276 python optional python-wsme_0.5b1-1.debian.tar.gz
 c8a5cfacf3f904a2f9bbf42e97af5a6c 46104 python optional python-wsme_0.5b1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEuNvsACgkQl4M9yZjvmkm2uQCg33CQSGhLXR8DgGYMcKulhoIC
9mIAoJV/hYP1qQ5pYR33Owyh7Ej/8YJs
=7H3i
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 08 May 2013 07:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 06:53:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.